## com.vividsolutions.jts.operation.buffer
Class RightmostEdgeFinder

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.RightmostEdgeFinder

public class RightmostEdgeFinder
extends java.lang.Object

A RightmostEdgeFinder find the DirectedEdge in a list which has the highest coordinate, and which is oriented L to R at that point. (I.e. the right side is on the RHS of the edge.)

Version:
  1.7

Constructor Summary
`RightmostEdgeFinder()` A RightmostEdgeFinder finds the DirectedEdge with the rightmost coordinate.

Method Summary
`void` `findEdge(java.util.List dirEdgeList)`
`Coordinate` `getCoordinate()`
`DirectedEdge` `getEdge()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RightmostEdgeFinder

    public RightmostEdgeFinder()

  A RightmostEdgeFinder finds the DirectedEdge with the rightmost coordinate. The DirectedEdge returned is guaranteed to have the R of the world on its RHS.

Method Detail

### getEdge

    public DirectedEdge getEdge()

### getCoordinate

    public Coordinate getCoordinate()

### findEdge

    public void findEdge(java.util.List dirEdgeList)